# Generated by Django 3.2.7 on 2021-09-25 18:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gaia_paysans', '0001_initial'),
        ('gaia_distribs', '0002_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='inscriptionadherent',
            name='utilisateur',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='inscriptions_distributions', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='contrat',
            name='ferme',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='contrats', to='gaia_paysans.ferme'),
        ),
        migrations.AddField(
            model_name='contrat',
            name='souscripteur',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='contrats', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterUniqueTogether(
            name='inscriptionproduit',
            unique_together={('produit', 'distribution')},
        ),
    ]
